The python toolchain that powerpill utilizes in the antergos repository, is out of date and currently does not function when installed. I suspect this is a python 3.5->3.6 issue as many python tools required a re-deploy in order to function again.

using pacman to spit out the diffs, here are the tools that i had to manually update in order for powerpill to function:

pm2ml: local (2016.8-3) is newer than antergos (2016.1-2)
powerpill: local (2016.5-3) is newer than antergos (2016.5-1)
python3-xcgf: local (2017-1) is newer than antergos (2016.4.5-1)
python3-xcpf: local (2017-3) is newer than antergos (2015.12.19.2-2)

Hope this helps.